Package org.apache.tomcat.util.buf

## Class Asn1Parser

- java.lang.Object
- - org.apache.tomcat.util.buf.Asn1Parser

    public class Asn1Parser
    extends Object

This is a very basic ASN.1 parser that provides the limited functionality required by Tomcat. It is a long way from a complete parser.

TODO: Consider extending this parser and refactoring the SpnegoTokenFixer to use it.

### Constructor Summary

Constructors
`Asn1Parser​(byte[] source)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eof()`
`void` `parseBytes​(byte[] dest)`
`void` `parseFullLength()`
`BigInteger` `parseInt()`
`int` `parseLength()`
`void` `parseTag​(int tag)`
`int` `peekTag()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Asn1Parser

    public Asn1Parser​(byte[] source)

### Method Detail

#### eof

    public boolean eof()

#### peekTag

    public int peekTag()

#### parseTag

    public void parseTag​(int tag)

#### parseFullLength

    public void parseFullLength()

#### parseLength

    public int parseLength()

#### parseInt

    public BigInteger parseInt()

#### parseBytes

    public void parseBytes​(byte[] dest)